## javax.media.j3d
Interface GeometryUpdater

    public interface GeometryUpdater

The GeometryUpdater interface is used in updating geometry data that is accessed by reference from a live or compiled GeometryArray object. Applications that wish to modify such data must define a class that implements this interface. An instance of that class is then passed to the `updateData` method of the GeometryArray object to be modified.

Since:
  Java 3D 1.2

Method Summary
`void` `updateData(Geometry geometry)` Updates geometry data that is accessed by reference.

Method Detail

### updateData

    void updateData(Geometry geometry)

  Updates geometry data that is accessed by reference. This method is called by the updateData method of a GeometryArray object to effect safe updates to vertex data that is referenced by that object. Applications that wish to modify such data must implement this method and perform all updates within it.
  NOTE: Applications should not call this method directly.

  Parameters:
    `geometry` - the Geometry object being updated.
  See Also:
    `GeometryArray.updateData(javax.media.j3d.GeometryUpdater)`

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.